Get one thread with messages
curl --request GET \
--url https://api.salessequencer.com/api/v1/inbox/thread \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.salessequencer.com/api/v1/inbox/thread"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.salessequencer.com/api/v1/inbox/thread', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Inbox
Get one thread with messages
Full thread by id passed as a query parameter (SMTP thread ids contain special characters). SIDE EFFECT: opening a thread marks it read. 404 JSON if the id is blank or unknown.
Minimum role: view (x-min-role). Destructive: false (x-destructive).
GET
/
inbox
/
thread
Get one thread with messages
curl --request GET \
--url https://api.salessequencer.com/api/v1/inbox/thread \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.salessequencer.com/api/v1/inbox/thread"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.salessequencer.com/api/v1/inbox/thread', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Authorizations
Query Parameters
Thread id.
Response
200
JSON {thread_id, mailbox, reply_to, can_send, subject, unread, messages:[{id, from, to, subject, body, at, outbound}], tags, reminders:[{id, at, note, done}], draft, contact:{id, email, name, company, title, status, stage}, campaign:{id,name}}.